Welcome to the Treehouse Community

Want to collaborate on code errors? Have bugs you need feedback on? Looking for an extra set of eyes on your latest project? Get support with fellow developers, designers, and programmers of all backgrounds and skill levels here with the Treehouse Community! While you're at it, check out some resources Treehouse students have shared here.

Looking to learn something new?

Treehouse offers a seven day free trial for new students. Get access to thousands of hours of content and join thousands of Treehouse students and alumni in the community today.

Start your free trial

iOS

Jay Caston
Jay Caston
3,941 Points

Suitable Version of Xcode for Treehouse?

I'm now at the point in my iOS track where I will start to build an app. However, My version of XCode seems to be out of date and incompatible with all of the Objective C project files that I've been working on thus far. In fact, not one of my Objective C projects has been able to build successfully: i get the error: error:

"-fobjc-arc is not supported with fragile abi"

I've continued through the track and learned the principles nevertheless. But now I want to keep going and build iOS apps on my track. What should I do about my incompatible version of XCode? I'm currently running OSX 10.7.5 and I understand that to upgrade to XCode 5, I'd need to upgrade my operating system to Maverick. Is there any other way to continue on this track without upgrading to Maverick?

Thanks

2 Answers

Just out of curiosity, why don't you want to upgrade to Maverick?

Jay Caston
Jay Caston
3,941 Points

Honestly I just haven't had to up until now. I'm not against it, but I'd rather not have to 'fix' my operating system if it's not broken (so-to-speak). I use a number of DAWs and graphic design applications that will likely not be compatible with Maverick from the outset either, so I'm trying to avoid an OS upgrade at all costs at the moment.

Patrick Donahue
Patrick Donahue
9,523 Points

Well if you are ever going to publish your app you need to do it in the latest version of Xcode. I know it is a pain!

Also, what graphics software do you use? I am looking for free and cheap. Thanks!